{
  "type" : "record",
  "name" : "API",
  "namespace" : "org.gel.models.system.avro",
  "doc" : "Represents the contract of API dependency (either REST or OTHER)",
  "fields" : [ {
    "name" : "type",
    "type" : {
      "type" : "enum",
      "name" : "APIType",
      "symbols" : [ "REST", "MONGODB", "OTHER" ]
    }
  }, {
    "name" : "description",
    "type" : "string"
  }, {
    "name" : "url",
    "type" : {
      "type" : "array",
      "items" : "string"
    }
  }, {
    "name" : "status",
    "type" : {
      "type" : "enum",
      "name" : "Status",
      "doc" : "Represents the contract of service status",
      "symbols" : [ "OK", "DOWN" ]
    }
  }, {
    "name" : "additionalProperties",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ]
  } ]
}
